const system = require('../../../system');
const ServiceBase = require('../../sve.base');
class MsgNoticeService extends ServiceBase {
  constructor() {
    super(ServiceBase.getDaoName(MsgNoticeService));
    this.userDao = system.getObject('db.auth.userDao');
    this.msghistoryDao = system.getObject('db.msg.msghistoryDao');
  }
  getApp(appkey) {
    return this.cacheManager.AppCache.cacheApp(appkey);
  }

  async countUnread(userId) {
    const unreadList = await this.userDao.customQuery(`SELECT COUNT(1) AS num FROM \`msghistory\` WHERE isRead = 0 AND targetId = ${userId}`);
    let count = 0;
    if (unreadList && unreadList.length > 0) {
      count = unreadList[0].num || 0;
    }

    return count;
  }
}
module.exports = MsgNoticeService;
